org.apache.jmeter.engine

## Class TreeClonerNoTimer

- java.lang.Object
- - org.apache.jmeter.engine.TreeCloner
  - - org.apache.jmeter.engine.TreeClonerNoTimer

All Implemented Interfaces:
  HashTreeTraverser

    public class TreeClonerNoTimer
    extends TreeCloner

Clones the test tree, skipping test elements that implement `Timer` by default.

### Constructor Summary

Constructors
Constructor and Description
`TreeClonerNoTimer()`
`TreeClonerNoTimer(boolean honourNoThreadClone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Object` `addNodeToTree(Object node)` Doesn't add Timer to tree

### Methods inherited from class org.apache.jmeter.engine.TreeCloner

`addNode, getClonedTree, processPath, subtractNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeClonerNoTimer

    public TreeClonerNoTimer()

#### TreeClonerNoTimer

    public TreeClonerNoTimer(boolean honourNoThreadClone)

### Method Detail

#### addNodeToTree

    protected Object addNodeToTree(Object node)

Doesn't add Timer to tree

Overrides:
  `addNodeToTree` in class `TreeCloner`
Parameters:
  `node` - Node to add to tree or not
Returns:
  Object node (clone or not)
See Also:
  `TreeCloner.addNodeToTree(java.lang.Object)`